package org.one.stone.soup.browser.security;

import java.io.*;
import java.net.*;
/*
 * Wet -Wired.com Browser Version Date 27-Aug-2004
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.wet-wired.co.uk/pages/licence-os.html
 */

/**
 * @author nikcross
 *
 */

// TODO
class SecurityDelegator extends SecurityManager {
	private SecurityInterface securityManager = new SecurityProfile();

protected SecurityDelegator() {
	super();
}
	public void checkAccept(String host, int port) {
	securityManager.checkAccept( host, port);
	}
	public void checkAccess(Thread g) {
	securityManager.checkAccess(g);
	}
	public void checkAccess(ThreadGroup g) {
	securityManager.checkAccess( g);
	}
	public void checkAwtEventQueueAccess() {
	securityManager.checkAwtEventQueueAccess();
	}
	public void checkConnect(String host, int port) {
	securityManager.checkConnect( host, port);
	}
	public void checkConnect(String host, int port, Object context) {
	securityManager.checkConnect( host, port, context);
	}
	public void checkCreateClassLoader() {
	securityManager.checkCreateClassLoader();
	}
	public void checkDelete(String file) {
	securityManager.checkDelete(file);
	}
	public void checkExec(String cmd) {
	securityManager.checkExec(cmd);
	}
	public void checkExit(int status) {
	securityManager.checkExit(status);
	}
	public void checkLink(String lib) {
	securityManager.checkLink(lib);
	}
	public void checkListen(int port) {
	securityManager.checkListen(port);
	}
	public void checkMemberAccess(Class clazz, int which) {
	securityManager.checkMemberAccess( clazz, which);
	}
	public void checkMulticast(InetAddress maddr) {
	securityManager.checkMulticast( maddr);
	}
	public void checkMulticast(InetAddress maddr, byte ttl) {
	securityManager.checkMulticast( maddr, ttl);
	}
	public void checkPackageAccess(String pkg) {
	securityManager.checkPackageAccess( pkg);
	}
	public void checkPackageDefinition(String pkg) {
	securityManager.checkPackageDefinition( pkg);
	}
	public void checkPrintJobAccess() {
	  securityManager.checkPrintJobAccess();
	}
	public void checkPropertiesAccess() {
	securityManager.checkPropertiesAccess();
	}
	public void checkPropertyAccess(String key) {
	securityManager.checkPropertyAccess( key);
	}
	public void checkRead(FileDescriptor fd) {
	securityManager.checkRead( fd);
	}
	public void checkRead(String file) {
	securityManager.checkRead( file);
	}
	public void checkRead(String file, Object context) {
	securityManager.checkRead( file, context);
	}
	public void checkSecurityAccess(String action) {
	securityManager.checkSecurityAccess( action);
	}
	public void checkSetFactory() {
	securityManager.checkSetFactory();
	}
	public void checkSystemClipboardAccess() {
	securityManager.checkSystemClipboardAccess();
	}
	public boolean checkTopLevelWindow(Object window) {
	return securityManager.checkTopLevelWindow(window);
	}
	public void checkWrite(FileDescriptor fd) {
	securityManager.checkWrite(fd);
	}
	public void checkWrite(String file) {
	securityManager.checkWrite(file);
	}
	public void setSecurity(SecurityInterface securityManager)
	{
		this.securityManager = securityManager;
	}
}
