package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class ScifiFilter implements Filter {
/**
 * process method comment.
 */
public int[] process(int[] data, int w, int h) {

	int loopX;
	int loopY;
	Pixel pixel = new Pixel();
	Pixel newPixel = new Pixel();
	int pointer;
	int grey;

	int[] newData = new int[data.length];
	for(loopY=0;loopY<h;loopY++)
	{
		for(loopX=0;loopX<w;loopX++)
		{
			pointer = (loopX+(loopY*w));

			pixel.setRGB(data[pointer]);

			newPixel.alpha = pixel.alpha;
			grey = (pixel.red + pixel.green + pixel.blue)/3;
			newPixel.green = grey;

			newData[pointer]=newPixel.getRGB();
		}
	}

	return newData;
}
}
