package org.one.stone.soup.swing;

import java.awt.*;
import javax.swing.text.*;
/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
/**
 * Insert the type's description here.
 * Creation date: (27/07/03 13:17:50)
 * @author:
 */
public class CodeHighlight {

	private boolean inUse = false;
	private int start;
	private int end;
	private Highlighter highlighter;
	private Object highlightInfo;
	private DefaultHighlighter.DefaultHighlightPainter highlight;
/**
 * CodeHighlight constructor comment.
 */
public CodeHighlight(Highlighter highlighter,int start,int end,Color color) {
	super();

	this.highlighter = highlighter;
	highlight = new DefaultHighlighter.DefaultHighlightPainter(color);
	this.start = start;
	this.end = end;
}
/**
 * Insert the method's description here.
 * Creation date: (27/07/03 13:59:57)
 * @param start int
 * @param end int
 */
public void setHighlightOff()
{
 if(inUse)
 {
 	highlighter.removeHighlight(highlightInfo);
 	inUse=false;
 }
}
/**
 * Insert the method's description here.
 * Creation date: (27/07/03 13:59:57)
 * @param start int
 * @param end int
 */
public void setHighlightOn(int start, int end)
{
 if(inUse)
 {
	 setHighlightOff();
 }

 this.start = start;
 this.end = end;

 try{
	 highlightInfo = highlighter.addHighlight( start,end,highlight );
	 inUse=true;

 }catch(Exception e)
 {
	 e.printStackTrace();
 }
}
/**
 * Insert the method's description here.
 * Creation date: (27/07/03 13:59:57)
 * @param start int
 * @param end int
 */
public void setHighlightOn(LineCursor cursor)
{
 if(inUse)
 {
	 setHighlightOff();
 }

 this.start = cursor.start;
 this.end = cursor.end;

 try{
	highlightInfo = highlighter.addHighlight( start,end,highlight );
	inUse = true;
 }catch(Exception e)
 {
	 e.printStackTrace();
 }
}
}
