package org.one.stone.soup.swing;

import java.io.*;
import java.awt.*;
/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
/**
 * Insert the type's description here.
 * Creation date: (16/05/03 20:28:43)
 * @author:
 */
public class JAnchor extends javax.swing.JButton implements java.awt.event.ActionListener
{
	public String defaultAction = null;

	private String href;
	private boolean isHref = true;
/**
 * JAnchor constructor comment.
 */
public JAnchor(String href) {
	super();

	this.href=href;
	addActionListener(this);
	setBorder(null);
	setForeground(Color.blue);
	setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
}
/**
 * JAnchor constructor comment.
 * @param text java.lang.String
 */
public JAnchor(String text,String href) {
	super(text);

	this.href=href;
	addActionListener(this);
	setBorder(null);
	setForeground(Color.blue);
	setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
}
/**
 * JAnchor constructor comment.
 * @param text java.lang.String
 * @param icon javax.swing.Icon
 */
public JAnchor(String text, javax.swing.Icon icon,String href) {
	super(text, icon);

	this.href=href;
	addActionListener(this);
	setBorder(null);
	setForeground(Color.blue);
	setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
}
/**
 * JAnchor constructor comment.
 * @param icon javax.swing.Icon
 */
public JAnchor(javax.swing.Icon icon,String href) {
	super(icon);

	this.href=href;
	addActionListener(this);
	setBorder(null);
	setForeground(Color.blue);
	setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
}
	/**
	 * Invoked when an action occurs.
	 */
public void actionPerformed(java.awt.event.ActionEvent e)
{
	if(isHref)
	{
		try{
			Runtime.getRuntime().exec("rundll32 url.dll,FileProtocolHandler "+href);
		}
		catch(IOException ie)
		{
			ie.printStackTrace();
		}
	}
}
/**
 * Insert the method's description here.
 * Creation date: (16/05/03 21:38:47)
 * @param grfx java.awt.Graphics
 */
public void paint(Graphics grfx)
{
	super.paint(grfx);
	grfx.drawLine(0,getHeight()-2,getWidth(),getHeight()-2);
}
/**
 * Insert the method's description here.
 * Creation date: (24/07/03 14:56:18)
 * @param state boolean
 */
public void setHref(boolean state)
{
	isHref = state;
}

public void setActionCommand(String actionCommand)
{
	super.setActionCommand(actionCommand);
	if(defaultAction==null)
	{
		defaultAction = actionCommand;
	}
}

public void setHrefUrl(String url)
{
	href = url;
	isHref = true;
	setToolTipText( url );
}

public boolean isHref()
{
	return isHref;
}

}
