package org.one.stone.soup.xapp.containers;

import javax.swing.JMenu;

import org.one.stone.soup.xapp.XappReceiver;
import org.one.stone.soup.xapp.components.XappComponent;
import org.one.stone.soup.xml.XmlElement;

public interface XappMenuBar extends XappComponent{

	public abstract JMenu getMenu(String name);

	public abstract void removeMenu(XmlElement xMenu);

	public abstract void addMenu(XmlElement xMenu);

	public abstract void setEnabled(String path, boolean state);

	public abstract void addReceiver(XappReceiver receiver);

	public abstract void removeReceiver(XappReceiver receiver);

	public abstract void setVisible(String path, boolean state);

	public abstract void refresh();
}