package org.one.stone.soup.xapp.factories;

import org.one.stone.soup.xapp.XappPersister;
import org.one.stone.soup.xapp.XappReceiver;
import org.one.stone.soup.xapp.components.XappComponent;
import org.one.stone.soup.xapp.dnd.XappDragSource;
import org.one.stone.soup.xapp.dnd.XappDropReceiver;

public interface XappDragAndDropFacotry {

	public abstract XappDragSource buildXappDragSource(XappComponent source,
			XappPersister sender, String name);

	public abstract XappDropReceiver buildXappDropReceiver(
			XappComponent target, XappReceiver receiver, String name,
			String action);

}