package org.one.stone.soup.xml.stream;

import java.io.*;

import org.one.stone.soup.xml.*;



/*
 * Wet-Wired.com Xml Version Date 25-Aug-2004
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class XmlLoader {
private XmlLoader() {
	super();
}
/**
 *
 * @return org.one.stone.soup.xml.XmlParser
 */
public static XmlParser getStandardParser() {
	XmlParser parser = new XmlParser();

	return parser;
}
/**
 *
 * @param iStream java.io.InputStream
 */
public static XmlDocument load(InputStream iStream)
{
	XmlParser parser = getStandardParser();

	XmlDocument doc=null;

	try{
		doc = parser.parseDocument( iStream );
		//iStream.close();
	}catch(Exception e)
	{
		e.printStackTrace();
	}

	return doc;
}
/**
 *
 * @param fileName java.lang.String
 */
public static XmlDocument load(String fileName)
{
	XmlParser parser = getStandardParser();	
	
	return load(fileName,parser);
}
/**
 *
 * @param fileName java.lang.String
 */
public static XmlDocument load(String fileName,XmlParser parser)
{
	try{
		return parser.parseDocument( new File(fileName) );
	}catch(Exception e)
	{
		e.printStackTrace();
	}

	return null;
}
}
